Mahindra Comviva interview experience Real time questions & tips from candidates to crack your interview

SDE - 1

Mahindra Comviva
upvote
share-icon
3 rounds | 9 Coding problems

Interview preparation journey

expand-icon
Preparation
Duration: 3 Months
Topics: Data Structures, Algorithms, OOPS, Competitive programming, Trees, Arrays, Strings, Stacks, Queue
Tip
Tip

Tip 1 : Solve all the question with Microsoft, Amazon tags
Tip 2 : Never give up during the interview, rather just keep trying whether you reach the solution or not. 
Tip 3 : Be confident, this is the most important requirement.

Application process
Where: Campus
Eligibility: No back logs
Resume Tip
Resume tip

Tip 1 : Claim the things, that you have done in actual by your own. 
Tip 2 : Never write any false information on the resume, always get it verified with your mates.

Interview rounds

01
Round
Medium
Online Coding Interview
Duration150 minutes
Interview date24 Sep 2020
Coding problem2

In this round, there were 4 sections of MCQs, along with two coding questions. It lasted for 2.5 hours in which the camera was on along with the microphone on the platform AMCAT. One coding question was of hard difficulty level of graph and another was of medium level difficulty question of dynamic programming. MCQ part was quite easy with a timer, on each sub part and can be easily solved.

1. Count nodes within K-distance

Hard
10m average time
90% success
0/120
Asked in companies
MicrosoftAdobeDunzo

You are given a connected, undirected and acyclic graph with some of the nodes as marked and a positive number 'K'. You need to return the count of all such nodes which have a distance from all marked nodes less than 'K', which means every node whose distance from all marked nodes is less than 'K', should be counted in the result.

A graph is said to be connected if there is a path between every pair of vertex, i.e., from every vertex to any other vertex, there should be some path to traverse and acyclic means that the graph does not contain cycle and undirected means that the edge is bidirectional and one can move in both directions.

Example:

Marked Nodes are Circled with red colour.

Now consider this example of the graph. Here nodes 1,2, and 4 are marked, and let us take the value of K as 3, i.e., we have to find all the nodes at a distance less than 3 from all the marked nodes. We can see that nodes with index 5,9,8,2,0,7 have distances less than 3 from all marked nodes; therefore, the total count of nodes will be 6.
Problem approach

Step1 : I solved this problem using breadth first search.
Step 2 : Main thing to observe in this problem is that if we find two marked nodes which are at largest distance from each other considering all pairs of marked nodes then if a node is at a distance less than K from both of these two nodes then it will be at a distance less than K from all the marked nodes because these two nodes represents the extreme limit of all marked nodes, if a node lies in this limit then it will be at a distance less than K from all marked nodes otherwise not.
Step 3 : then I coded the solution, and it ran successfully all the test cases.

Try solving now

2. Ways To Make Coin Change

Moderate
20m average time
80% success
0/80
Asked in companies
GoogleSamsungThought Works

You are given an infinite supply of coins of each of denominations D = {D0, D1, D2, D3, ...... Dn-1}. You need to figure out the total number of ways W, in which you can make a change for value V using coins of denominations from D. Print 0, if a change isn't possible.

Problem approach

1. Firstly, I coded the problem using recursion, but I got TLE after submission.
2. Then, I optimized, using dynamic programming, but the time I could submit the code, the time was up, and I was not able to submit.

Try solving now
02
Round
Medium
Video Call
Duration30 minutes
Interview date27 Sep 2020
Coding problem3

There were around 40 people shortlisted after round 1, for the interview, round, in the morning PPT was held, after which the interviews were scheduled, for 30 minutes till 6 pm in the evening, 
my interview was at 4.30 pm 
Interviewer was straight forward, and direct in approach, and did not waste even a single second of his or mine. Sharp after 30 minutes the interview was ended. 
through out the interview, he was friendly, and just observing.
Firstly, 3 coding questions, were asked, then 2 concepts of java and 1 concept of data structures was asked. 
the question related to java were, demon thread and platform independence. In data structures, I was asked to give brief intro regarding the AVL trees.

1. Occurrence of X in a Sorted Array

Moderate
26m average time
0/80
Asked in companies
DirectiSAP LabsAmazon

You have been given a sorted array/list of integers 'arr' of size 'n' and an integer 'x'.


Find the total number of occurrences of 'x' in the array/list.


Example:
Input: 'n' = 7, 'x' = 3
'arr' = [1, 1, 1, 2, 2, 3, 3]

Output: 2

Explanation: Total occurrences of '3' in the array 'arr' is 2.


Problem approach

1. I started with linear search
2. Then when I said Binary search, I was asked to write pseudo code and explain it.
3. I covered all the test cases, including the corner cases.

Try solving now

2. Merge sort

Easy
15m average time
85% success
0/40
Asked in companies
Thought WorksAccentureInfosys

Given a sequence of numbers ‘ARR’. Your task is to return a sorted sequence of ‘ARR’ in non-descending order with help of the merge sort algorithm.

Example :

Merge Sort Algorithm -

Merge sort is a Divide and Conquer based Algorithm. It divides the input array into two-parts, until the size of the input array is not ‘1’. In the return part, it will merge two sorted arrays a return a whole merged sorted array.

subsequence

The above illustrates shows how merge sort works.
Note :
It is compulsory to use the ‘Merge Sort’ algorithm.
Problem approach

1. I was asked to directly code the solution.
2. I followed the same, and coded, it, in between the interviewer stopped me and said, I got you, lets move to next question.
3. I followed this approach, divided the input array into two halves, calls itself for the two halves, and then merge the two sorted halves. The merge() function is used for merging two halves. The merge(arr, l, m, r) is a key process that assumes that arr[l..m] and arr[m+1..r] are sorted and merges the two sorted sub-arrays into one.

Try solving now

3. Implement Stack with Linked List

Moderate
30m average time
73% success
0/80
Asked in companies
AmazonCiscoDell Technologies

You must implement the Stack data structure using a Singly Linked List.


Create a class named 'Stack' which supports the following operations(all in O(1) time):


getSize: Returns an integer. Gets the current size of the stack

isEmpty: Returns a boolean. Gets whether the stack is empty

push: Returns nothing. Accepts an integer. Puts that integer at the top of the stack

pop: Returns nothing. Removes the top element of the stack. It does nothing if the stack is empty.

getTop: Returns an integer. Gets the top element of the stack. Returns -1 if the stack is empty
Problem approach

1. Firstly, I made the structure of linked list.
2. Then, I made the four functions, of stack pop, push, empty and full.
3. And when I started to explain the written code, the interviewer was well convinced, and said no need, I understood, it and moved to theory questions of java.

Try solving now
03
Round
Easy
HR Round
Duration15 minutes
Interview date29 Sep 2020
Coding problem4

The interview was scheduled at 4.30 pm again, and due to network issue, my audio was not clear to the interviewer, but the interviewer was highly cooperating, he called me over phone to take the interview, and video was on through the zoom meet only. 
The interview was like a discussion from both ends, which went very satisfying for me as a candidate and the interviewer too.
Before the interview in the morning, we were given the topics on which we had to write 100 words.

1. Why are you not nervous before the interview?

Problem approach

Tip 1 : Be honest
Tip 2 : Treat the HR interviewer as your friend. 
Tip 3 : Never speak anything, falsely just to create impression.

2. Give me a brief introduction.

Problem approach

Tip 1 : Try to cover all the points from name to all the professional achievements.
Tip 2 : Try to include your hobbies too. 
Tip 3 : Always mention your goals

3. Why do you want to stop at becoming an engineer, being the star performer?

Problem approach

Tip 1 : Always take your time, to analyze what the interviewer is actually asking, never run into and spoil the things.
Tip 2 : In this question, the interview wanted to know my future goals, answer it in a way that shows that job is important for you. 
Tip 3 : Take stand for your statement, and try to relate it with stories.

4. How many trees are there in you college?

Problem approach

Tip 1 : These questions should not be answered quickly with false guesses. 
Tip 2 : Analyze in your mind whatever comes, like there are 5 trees in these regions, and there are total of 10 areas containing trees in college, and reach the solution. 
Tip 3: Whatever strategy you have followed, put it forward to the interviewer, explaining everything.

Here's your problem of the day

Solving this problem will increase your chance to get selected in this company

Skill covered: Programming

Which SQL keyword removes duplicate records from a result set?

Choose another skill to practice
Similar interview experiences
Product Development Engineer
4 rounds | 4 problems
Interviewed by Mahindra Comviva
998 views
1 comments
0 upvotes
Product Development Engineer
2 rounds | 4 problems
Interviewed by Mahindra Comviva
1189 views
0 comments
0 upvotes
Product Development Engineer
3 rounds | 5 problems
Interviewed by Mahindra Comviva
0 views
0 comments
0 upvotes
Product Development Engineer
2 rounds | 3 problems
Interviewed by Mahindra Comviva
0 views
0 comments
0 upvotes
Companies with similar interview experiences
company logo
SDE - 1
5 rounds | 12 problems
Interviewed by Amazon
107832 views
24 comments
0 upvotes
company logo
SDE - 1
4 rounds | 5 problems
Interviewed by Microsoft
52130 views
5 comments
0 upvotes
company logo
SDE - 1
3 rounds | 7 problems
Interviewed by Amazon
32261 views
6 comments
0 upvotes